## r-cran-knitr 1.17

=== DESCRIPTION ===
Package: knitr
Type: Package
Title: A General-Purpose Package for Dynamic Report Generation in R
Version: 1.17
Date: 2017-08-09
Authors@R: c(
    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
    person("Adam", "Vogt", role = "ctb"),
    person("Alastair", "Andrew", role = "ctb"),
    person("Alex", "Zvoleff", role = "ctb"),
    person("Andre", "Simon", role = "ctb", comment = "the CSS files under inst/themes/ were derived from the Highlight package http://www.andre-simon.de"),
    person("Aron", "Atkins", role = "ctb"),
    person("Aaron", "Wolen", role = "ctb"),
    person("Ashley", "Manton", role = "ctb"),
    person("Ben", "Baumer", role = "ctb"),
    person("Brian", "Diggs", role = "ctb"),
    person("Cassio", "Pereira", role = "ctb"),
    person("David", "Robinson", role = "ctb"),
    person("Donald", "Arseneau", role = c("ctb", "cph"), comment = "the framed package at inst/misc/framed.sty"),
    person("Doug", "Hemken", role = "ctb"),
    person("Duncan", "Murdoch", role = "ctb"),
    person("Fabian", "Hirschmann", role = "ctb"),
    person("Fitch", "Simeon", role = "ctb"),
    person("Forest", "Fang", role = "ctb"),
    person(c("Frank", "E", "Harrell", "Jr"), role = "ctb", comment = "the Sweavel package at inst/misc/Sweavel.sty"),
    person("Garrick", "Aden-Buie", role = "ctb"),
    person("Gregoire", "Detrez", role = "ctb"),
    person("Hadley", "Wickham", role = "ctb"),
    person("Heewon", "Jeon", role = "ctb"),
    person("Henrik", "Bengtsson", role = "ctb"),
    person("Hiroaki", "Yutani", role = "ctb"),
    person("Ian", "Lyttle", role = "ctb"),
    person("Hodges", "Daniel", role = "ctb"),
    person("Jake", "Burkhead", role = "ctb"),
    person("James", "Manton", role = "ctb"),
    person("Jared", "Lander", role = "ctb"),
    person("Jason", "Punyon", role = "ctb"),
    person("Javier", "Luraschi", role = "ctb"),
    person("Jeff", "Arnold", role = "ctb"),
    person("Jeremy", "Ashkenas", role = c("ctb", "cph"), comment = "the CSS file at inst/misc/docco-classic.css"),
    person("Jeremy", "Stephens", role = "ctb"),
    person("Jim", "Hester", role = "ctb"),
    person("Joe", "Cheng", role = "ctb"),
    person("Johannes", "Ranke", role = "ctb"),
    person("John", "Honaker", role = "ctb"),
    person("John", "Muschelli", role = "ctb"),
    person("Jonathan", "Keane", role = "ctb"),
    person("JJ", "Allaire", role = "ctb"),
    person("Johan", "Toloe", role = "ctb"),
    person("Joseph", "Larmarange", role = "ctb"),
    person("Julien", "Barnier", role = "ctb"),
    person("Kaiyin", "Zhong", role = "ctb"),
    person("Kamil", "Slowikowski", role = "ctb"),
    person("Karl", "Forner", role = "ctb"),
    person(c("Kevin", "K."), "Smith", role = "ctb"),
    person("Kirill", "Mueller", role = "ctb"),
    person("Kohske", "Takahashi", role = "ctb"),
    person("Michael", "Friendly", role = "ctb"),
    person("Michal", "Bojanowski", role = "ctb"),
    person("Michel", "Kuhlmann", role = "ctb"),
    person("Nacho", "Caballero", role = "ctb"),
    person("Nick", "Salkowski", role = "ctb"),
    person("Noam", "Ross", role = "ctb"),
    person("Qiang", "Li", role = "ctb"),
    person("Ramnath", "Vaidyanathan", role = "ctb"),
    person("Richard", "Cotton", role = "ctb"),
    person("Robert", "Krzyzanowski", role = "ctb"),
    person("Romain", "Francois", role = "ctb"),
    person("Scott", "Kostyshak", role = "ctb"),
    person("Sebastian", "Meyer", role = "ctb"),
    person("Sietse", "Brouwer", role = "ctb"),
    person(c("Simon", "de"), "Bernard", role = "ctb"),
    person("Sylvain", "Rousseau", role = "ctb"),
    person("Taiyun", "Wei", role = "ctb"),
    person("Thibaut", "Assus", role = "ctb"),
    person("Thibaut", "Lamadon", role = "ctb"),
    person("Thomas", "Leeper", role = "ctb"),
    person("Tom", "Torsney-Weir", role = "ctb"),
    person("Trevor", "Davis", role = "ctb"),
    person("Viktoras", "Veitas", role = "ctb"),
    person("Weicheng", "Zhu", role = "ctb"),
    person("Wush", "Wu", role = "ctb"),
    person("Zachary", "Foster", role = "ctb")
    )
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides a general-purpose tool for dynamic report generation in R
    using Literate Programming techniques.
Depends: R (>= 3.1.0)
Imports: evaluate (>= 0.10), digest, highr, markdown, stringr (>= 0.6),
        yaml, methods, tools
Suggests: formatR, testit, rgl (>= 0.95.1201), codetools, rmarkdown,
        htmlwidgets (>= 0.7), webshot, tikzDevice (>= 0.10), png, jpeg,
        XML, RCurl, DBI (>= 0.4-1), tibble
License: GPL
URL: https://yihui.name/knitr/
BugReports: https://github.com/yihui/knitr/issues
VignetteBuilder: knitr
SystemRequirements: Package vignettes based on R Markdown v2 or
        reStructuredText require Pandoc (http://pandoc.org). The
        function rst2pdf() require rst2pdf
        (https://github.com/rst2pdf/rst2pdf).
Collate: 'block.R' 'cache.R' 'utils.R' 'citation.R' 'hooks-html.R'
        'plot.R' 'defaults.R' 'concordance.R' 'engine.R' 'highlight.R'
        'themes.R' 'header.R' 'hooks-asciidoc.R' 'hooks-chunk.R'
        'hooks-extra.R' 'hooks-latex.R' 'hooks-md.R' 'hooks-rst.R'
        'hooks-textile.R' 'hooks.R' 'output.R' 'package.R' 'pandoc.R'
        'params.R' 'parser.R' 'pattern.R' 'rocco.R' 'spin.R' 'table.R'
        'template.R' 'utils-base64.R' 'utils-conversion.R'
        'utils-rd2html.R' 'utils-sweave.R' 'utils-upload.R'
        'utils-vignettes.R' 'zzz.R'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-08-09 06:32:13 UTC; yihui
Author: Yihui Xie [aut, cre],
  Adam Vogt [ctb],
  Alastair Andrew [ctb],
  Alex Zvoleff [ctb],
  Andre Simon [ctb] (the CSS files under inst/themes/ were derived from
    the Highlight package http://www.andre-simon.de),
  Aron Atkins [ctb],
  Aaron Wolen [ctb],
  Ashley Manton [ctb],
  Ben Baumer [ctb],
  Brian Diggs [ctb],
  Cassio Pereira [ctb],
  David Robinson [ctb],
  Donald Arseneau [ctb, cph] (the framed package at inst/misc/framed.sty),
  Doug Hemken [ctb],
  Duncan Murdoch [ctb],
  Fabian Hirschmann [ctb],
  Fitch Simeon [ctb],
  Forest Fang [ctb],
  Frank E Harrell Jr [ctb] (the Sweavel package at inst/misc/Sweavel.sty),
  Garrick Aden-Buie [ctb],
  Gregoire Detrez [ctb],
  Hadley Wickham [ctb],
  Heewon Jeon [ctb],
  Henrik Bengtsson [ctb],
  Hiroaki Yutani [ctb],
  Ian Lyttle [ctb],
  Hodges Daniel [ctb],
  Jake Burkhead [ctb],
  James Manton [ctb],
  Jared Lander [ctb],
  Jason Punyon [ctb],
  Javier Luraschi [ctb],
  Jeff Arnold [ctb],
  Jeremy Ashkenas [ctb, cph] (the CSS file at
    inst/misc/docco-classic.css),
  Jeremy Stephens [ctb],
  Jim Hester [ctb],
  Joe Cheng [ctb],
  Johannes Ranke [ctb],
  John Honaker [ctb],
  John Muschelli [ctb],
  Jonathan Keane [ctb],
  JJ Allaire [ctb],
  Johan Toloe [ctb],
  Joseph Larmarange [ctb],
  Julien Barnier [ctb],
  Kaiyin Zhong [ctb],
  Kamil Slowikowski [ctb],
  Karl Forner [ctb],
  Kevin K. Smith [ctb],
  Kirill Mueller [ctb],
  Kohske Takahashi [ctb],
  Michael Friendly [ctb],
  Michal Bojanowski [ctb],
  Michel Kuhlmann [ctb],
  Nacho Caballero [ctb],
  Nick Salkowski [ctb],
  Noam Ross [ctb],
  Qiang Li [ctb],
  Ramnath Vaidyanathan [ctb],
  Richard Cotton [ctb],
  Robert Krzyzanowski [ctb],
  Romain Francois [ctb],
  Scott Kostyshak [ctb],
  Sebastian Meyer [ctb],
  Sietse Brouwer [ctb],
  Simon de Bernard [ctb],
  Sylvain Rousseau [ctb],
  Taiyun Wei [ctb],
  Thibaut Assus [ctb],
  Thibaut Lamadon [ctb],
  Thomas Leeper [ctb],
  Tom Torsney-Weir [ctb],
  Trevor Davis [ctb],
  Viktoras Veitas [ctb],
  Weicheng Zhu [ctb],
  Wush Wu [ctb],
  Zachary Foster [ctb]
Repository: CRAN
Date/Publication: 2017-08-10 04:27:37 UTC

## r-cran-knitr 1.11

=== debian/changelog ===
r-cran-knitr (1.11-1) unstable; urgency=low

  * UNRELEASED
  * Initial release. (Closes: #FIXME)

 -- Joost van Baal-Ilić <joostvb+shiny@uvt.nl>  Tue, 10 Nov 2015 09:51:23 +0100

=== debian/control ===
Source: r-cran-knitr
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb+shiny@uvt.nl>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/knitr/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-knitr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-knitr.git

Package: r-cran-knitr
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}
Description: GNU R package for dynamic report generation using Literate Programming techniques
 The R package knitr is a general-purpose literate programming engine, with
 lightweight API's designed to give users full control of the output without
 heavy coding work. It combines many features into one package with slight
 tweaks motivated from my everyday use of Sweave.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/knitr_([-\d\.]*)\.tar.gz

## r-cran-knitr 1.12.3

=== debian/changelog ===
r-cran-knitr (1.12.3-1) unstable; urgency=low

  [ Joost van Baal-Ilić ]
  * Initial release. Closes: #808155
  * debian/rules: install CITATION in /u/s/d/$(package).
    
  [ Andreas Tille ]
  * Add Build-Depends to Depends
  * cme fix dpkg-control
  * Add missing (Build-)Depends
  * Replace several JS by packaged versions

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 06 May 2016 19:54:36 +0200

=== debian/control ===
Source: r-cran-knitr
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               cdbs,
               r-cran-formatr,
               r-cran-highr,
               r-cran-markdown,
               r-cran-yaml,
               r-cran-evaluate,
               r-cran-digest,
               r-cran-stringr,
               libjs-mathjax,
               libjs-highlight.js,
               node-highlight.js,
               libjs-jquery,
               libjs-bootstrap,
               libjs-jquery-datatables
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-knitr.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-knitr.git
Homepage: https://cran.r-project.org/web/packages/knitr/

Package: r-cran-knitr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-cran-formatr,
         r-cran-highr,
         r-cran-markdown,
         r-cran-yaml,
         r-cran-evaluate,
         r-cran-digest,
         r-cran-stringr
Description: GNU R package for dynamic report generation using Literate Programming
 The R package knitr is a general-purpose literate programming engine, with
 lightweight API's designed to give users full control of the output without
 heavy coding work. It combines many features into one package with slight
 tweaks motivated from everyday use of Sweave.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk
makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

common-install-arch::
	# rm -vf $(debRlib)/$(cranNameOrig)/NEWS $(debRlib)/$(cranNameOrig)/CITATION
	dh_installdocs -p$(package) ./inst/CITATION

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/knitr_([-\d\.]*)\.tar.gz

## r-cran-knitr 1.15.1

=== debian/changelog ===
r-cran-knitr (1.15.1-1) unstable; urgency=medium

  * New upstream version
  * convert to dh-r
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2016 23:08:16 +0100

r-cran-knitr (1.14-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Add missing test dependency: r-cran-codetools
  * Canonical CRAN homepage

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2016 08:49:43 +0100

r-cran-knitr (1.14-1) unstable; urgency=medium

  * Team upload
  * New upstream version
    Closes: #837272
  * Add missing copyright statement for inst/misc/framed.sty
  * DEP5
  * Suggests: r-cran-tikzdevice (since its used in unit tests)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 21:03:33 +0200

=== debian/control ===
Source: r-cran-knitr
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               dh-r,
               r-cran-formatr,
               r-cran-highr,
               r-cran-markdown,
               r-cran-yaml,
               r-cran-evaluate,
               r-cran-digest,
               r-cran-stringr,
               libjs-mathjax,
               libjs-highlight.js,
               node-highlight.js,
               libjs-jquery,
               libjs-bootstrap,
               libjs-jquery-datatables
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-knitr.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-knitr.git
Homepage: https://cran.r-project.org/package=knitr

Package: r-cran-knitr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for dynamic report generation using Literate Programming
 The R package knitr is a general-purpose literate programming engine, with
 lightweight API's designed to give users full control of the output without
 heavy coding work. It combines many features into one package with slight
 tweaks motivated from everyday use of Sweave.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-tikzdevice, r-cran-codetools
Restrictions: allow-stderr

## r-cran-knitr 1.17

=== debian/changelog ===
r-cran-knitr (1.17-2) unstable; urgency=medium

  * Team upload.
  * Add missing texlive{,-latex-extra} test dependencies.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 11 Nov 2017 22:52:28 +0100

r-cran-knitr (1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 21:15:28 +0200

r-cran-knitr (1.15.1-4) unstable; urgency=medium

  * Add nodejs as a Build-Depends.
    nodejs is not used at build-time, but this will prevent ending up with an
    uninstallable binary package on arches where nodejs is not available.
  * As a consequence, no longer enforce FTBFS on armel.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 09 Oct 2017 12:33:01 +0200

r-cran-knitr (1.15.1-3) unstable; urgency=medium

  * Enforce FTBFS on armel, because node.js is no longer available there.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 09 Oct 2017 11:43:52 +0200

r-cran-knitr (1.15.1-2) unstable; urgency=medium

  * Move JS packages from Build-Depends to Depends

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2017 15:03:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
+# NOTE: nodejs is not used at build-time, but is listed in Build-Depends in order
+# to prevent the creation of uninstallable binary package (on arches where nodejs
+# is not available).
 Build-Depends: debhelper (>= 10),
                r-base-dev,
                dh-r,
@@ -14,13 +17,8 @@
                r-cran-evaluate,
                r-cran-digest,
                r-cran-stringr,
-               libjs-mathjax,
-               libjs-highlight.js,
-               node-highlight.js,
-               libjs-jquery,
-               libjs-bootstrap,
-               libjs-jquery-datatables
-Standards-Version: 3.9.8
+               nodejs
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-knitr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr
@@ -29,7 +27,13 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${R:Depends}
+         ${R:Depends},
+         libjs-mathjax,
+         libjs-highlight.js,
+         node-highlight.js,
+         libjs-jquery,
+         libjs-bootstrap,
+         libjs-jquery-datatables
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R package for dynamic report generation using Literate Programming

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-tikzdevice, r-cran-codetools, texlive, texlive-latex-extra
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/knitr_([-\d\.]*)\.tar.gz

## r-cran-knitr 1.20+dfsg

=== debian/changelog ===
r-cran-knitr (1.20+dfsg-1) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Architecture: all (instead of any)
  * Remove autogenerated HTML docs since it is including compressed JS
  * Fix privacy breach via sed instead of patch
  * Lintian override for html containing compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 23:42:26 +0200

r-cran-knitr (1.20-2) unstable; urgency=medium

  * debian/tests/control: Depends: r-cran-tinytex
    Closes: #892199

 -- Andreas Tille <tille@debian.org>  Fri, 23 Mar 2018 15:37:10 +0100

r-cran-knitr (1.20-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Some additional privacy breach patches

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 09:06:57 +0100

=== debian/control ===
Source: r-cran-knitr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-evaluate (>= 0.10),
               r-cran-highr,
               r-cran-markdown,
               r-cran-stringr,
               r-cran-yaml,
# NOTE: nodejs is not used at build-time, but is listed in Build-Depends in order
# to prevent the creation of uninstallable binary package (on arches where nodejs
# is not available).
               nodejs
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
Homepage: https://cran.r-project.org/package=knitr

Package: r-cran-knitr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-mathjax,
         libjs-highlight.js,
         node-highlight.js,
         libjs-jquery,
         libjs-bootstrap,
         libjs-jquery-datatables,
         libjs-normalize.css
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for dynamic report generation using Literate Programming
 The R package knitr is a general-purpose literate programming engine, with
 lightweight API's designed to give users full control of the output without
 heavy coding work. It combines many features into one package with slight
 tweaks motivated from everyday use of Sweave.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-tikzdevice, r-cran-codetools, r-cran-tinytex, texlive, texlive-latex-extra
Restrictions: allow-stderr

## r-cran-knitr 1.21%2Bdfsg

=== debian/changelog ===
r-cran-knitr (1.21+dfsg-2) unstable; urgency=medium

  * Test-Depends: r-cran-rmarkdown
    Closes: #916547

 -- Andreas Tille <tille@debian.org>  Sun, 16 Dec 2018 11:45:05 +0100

r-cran-knitr (1.21+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2018 23:00:19 +0100

## r-cran-knitr 1.21+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.17
-Date: 2017-08-09
+Version: 1.21
 Authors@R: c(
-    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
+    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Adam", "Vogt", role = "ctb"),
     person("Alastair", "Andrew", role = "ctb"),
     person("Alex", "Zvoleff", role = "ctb"),
@@ -14,11 +13,15 @@
     person("Ashley", "Manton", role = "ctb"),
     person("Ben", "Baumer", role = "ctb"),
     person("Brian", "Diggs", role = "ctb"),
+    person("Brian", "Zhang", role = "ctb"),
     person("Cassio", "Pereira", role = "ctb"),
+    person("Christophe", "Dervieux", role = "ctb"),
+    person("David", "Hugh-Jones", role = "ctb"),
     person("David", "Robinson", role = "ctb"),
     person("Donald", "Arseneau", role = c("ctb", "cph"), comment = "the framed package at inst/misc/framed.sty"),
     person("Doug", "Hemken", role = "ctb"),
     person("Duncan", "Murdoch", role = "ctb"),
+    person("Elio", "Campitelli", role = "ctb"),
     person("Fabian", "Hirschmann", role = "ctb"),
     person("Fitch", "Simeon", role = "ctb"),
     person("Forest", "Fang", role = "ctb"),
@@ -26,6 +29,7 @@
     person("Garrick", "Aden-Buie", role = "ctb"),
     person("Gregoire", "Detrez", role = "ctb"),
     person("Hadley", "Wickham", role = "ctb"),
+    person("Hao", "Zhu", role = "ctb"),
     person("Heewon", "Jeon", role = "ctb"),
     person("Henrik", "Bengtsson", role = "ctb"),
     person("Hiroaki", "Yutani", role = "ctb"),
@@ -37,6 +41,7 @@
     person("Jason", "Punyon", role = "ctb"),
     person("Javier", "Luraschi", role = "ctb"),
     person("Jeff", "Arnold", role = "ctb"),
+    person("Jenny", "Bryan", role = "ctb"),
     person("Jeremy", "Ashkenas", role = c("ctb", "cph"), comment = "the CSS file at inst/misc/docco-classic.css"),
     person("Jeremy", "Stephens", role = "ctb"),
     person("Jim", "Hester", role = "ctb"),
@@ -47,6 +52,7 @@
     person("Jonathan", "Keane", role = "ctb"),
     person("JJ", "Allaire", role = "ctb"),
     person("Johan", "Toloe", role = "ctb"),
+    person("Jonathan", "Sidi", role = "ctb"),
     person("Joseph", "Larmarange", role = "ctb"),
     person("Julien", "Barnier", role = "ctb"),
     person("Kaiyin", "Zhong", role = "ctb"),
@@ -55,17 +61,23 @@
     person(c("Kevin", "K."), "Smith", role = "ctb"),
     person("Kirill", "Mueller", role = "ctb"),
     person("Kohske", "Takahashi", role = "ctb"),
+    person("Lorenz", "Walthert", role = "ctb"),
+    person("Lucas", "Gallindo", role = "ctb"),
+    person("Martin", "Modrák", role = "ctb"),
+    person("Michael", "Chirico", role = "ctb"),
     person("Michael", "Friendly", role = "ctb"),
     person("Michal", "Bojanowski", role = "ctb"),
     person("Michel", "Kuhlmann", role = "ctb"),
     person("Nacho", "Caballero", role = "ctb"),
     person("Nick", "Salkowski", role = "ctb"),
     person("Noam", "Ross", role = "ctb"),
+    person("Obada", "Mahdi", role = "ctb"),
     person("Qiang", "Li", role = "ctb"),
     person("Ramnath", "Vaidyanathan", role = "ctb"),
     person("Richard", "Cotton", role = "ctb"),
     person("Robert", "Krzyzanowski", role = "ctb"),
     person("Romain", "Francois", role = "ctb"),
+    person("Ruaridh", "Williamson", role = "ctb"),
     person("Scott", "Kostyshak", role = "ctb"),
     person("Sebastian", "Meyer", role = "ctb"),
     person("Sietse", "Brouwer", role = "ctb"),
@@ -75,6 +87,7 @@
     person("Thibaut", "Assus", role = "ctb"),
     person("Thibaut", "Lamadon", role = "ctb"),
     person("Thomas", "Leeper", role = "ctb"),
+    person("Tim", "Mastny", role = "ctb"),
     person("Tom", "Torsney-Weir", role = "ctb"),
     person("Trevor", "Davis", role = "ctb"),
     person("Viktoras", "Veitas", role = "ctb"),
@@ -86,14 +99,17 @@
 Description: Provides a general-purpose tool for dynamic report generation in R
     using Literate Programming techniques.
 Depends: R (>= 3.1.0)
-Imports: evaluate (>= 0.10), digest, highr, markdown, stringr (>= 0.6),
-        yaml, methods, tools
-Suggests: formatR, testit, rgl (>= 0.95.1201), codetools, rmarkdown,
-        htmlwidgets (>= 0.7), webshot, tikzDevice (>= 0.10), png, jpeg,
-        XML, RCurl, DBI (>= 0.4-1), tibble
+Imports: evaluate (>= 0.10), highr, markdown, stringr (>= 0.6), yaml
+        (>= 2.1.19), methods, xfun, tools
+Suggests: formatR, testit, digest, rgl (>= 0.95.1201), codetools,
+        rmarkdown, htmlwidgets (>= 0.7), webshot, tikzDevice (>= 0.10),
+        tinytex, reticulate (>= 1.4), JuliaCall (>= 0.11.1), png, jpeg,
+        gifski, xml2 (>= 1.2.0), httr, DBI (>= 0.4-1), showtext,
+        tibble, styler
 License: GPL
 URL: https://yihui.name/knitr/
 BugReports: https://github.com/yihui/knitr/issues
+Encoding: UTF-8
 VignetteBuilder: knitr
 SystemRequirements: Package vignettes based on R Markdown v2 or
         reStructuredText require Pandoc (http://pandoc.org). The
@@ -108,10 +124,10 @@
         'template.R' 'utils-base64.R' 'utils-conversion.R'
         'utils-rd2html.R' 'utils-sweave.R' 'utils-upload.R'
         'utils-vignettes.R' 'zzz.R'
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2017-08-09 06:32:13 UTC; yihui
-Author: Yihui Xie [aut, cre],
+Packaged: 2018-12-10 22:10:14 UTC; yihui
+Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Adam Vogt [ctb],
   Alastair Andrew [ctb],
   Alex Zvoleff [ctb],
@@ -122,11 +138,15 @@
   Ashley Manton [ctb],
   Ben Baumer [ctb],
   Brian Diggs [ctb],
+  Brian Zhang [ctb],
   Cassio Pereira [ctb],
+  Christophe Dervieux [ctb],
+  David Hugh-Jones [ctb],
   David Robinson [ctb],
   Donald Arseneau [ctb, cph] (the framed package at inst/misc/framed.sty),
   Doug Hemken [ctb],
   Duncan Murdoch [ctb],
+  Elio Campitelli [ctb],
   Fabian Hirschmann [ctb],
   Fitch Simeon [ctb],
   Forest Fang [ctb],
@@ -134,6 +154,7 @@
   Garrick Aden-Buie [ctb],
   Gregoire Detrez [ctb],
   Hadley Wickham [ctb],
+  Hao Zhu [ctb],
   Heewon Jeon [ctb],
   Henrik Bengtsson [ctb],
   Hiroaki Yutani [ctb],
@@ -145,6 +166,7 @@
   Jason Punyon [ctb],
   Javier Luraschi [ctb],
   Jeff Arnold [ctb],
+  Jenny Bryan [ctb],
   Jeremy Ashkenas [ctb, cph] (the CSS file at
     inst/misc/docco-classic.css),
   Jeremy Stephens [ctb],
@@ -156,6 +178,7 @@
   Jonathan Keane [ctb],
   JJ Allaire [ctb],
   Johan Toloe [ctb],
+  Jonathan Sidi [ctb],
   Joseph Larmarange [ctb],
   Julien Barnier [ctb],
   Kaiyin Zhong [ctb],
@@ -164,17 +187,23 @@
   Kevin K. Smith [ctb],
   Kirill Mueller [ctb],
   Kohske Takahashi [ctb],
+  Lorenz Walthert [ctb],
+  Lucas Gallindo [ctb],
+  Martin Modrák [ctb],
+  Michael Chirico [ctb],
   Michael Friendly [ctb],
   Michal Bojanowski [ctb],
   Michel Kuhlmann [ctb],
   Nacho Caballero [ctb],
   Nick Salkowski [ctb],
   Noam Ross [ctb],
+  Obada Mahdi [ctb],
   Qiang Li [ctb],
   Ramnath Vaidyanathan [ctb],
   Richard Cotton [ctb],
   Robert Krzyzanowski [ctb],
   Romain Francois [ctb],
+  Ruaridh Williamson [ctb],
   Scott Kostyshak [ctb],
   Sebastian Meyer [ctb],
   Sietse Brouwer [ctb],
@@ -184,6 +213,7 @@
   Thibaut Assus [ctb],
   Thibaut Lamadon [ctb],
   Thomas Leeper [ctb],
+  Tim Mastny [ctb],
   Tom Torsney-Weir [ctb],
   Trevor Davis [ctb],
   Viktoras Veitas [ctb],
@@ -191,4 +221,4 @@
   Wush Wu [ctb],
   Zachary Foster [ctb]
 Repository: CRAN
-Date/Publication: 2017-08-10 04:27:37 UTC
+Date/Publication: 2018-12-10 23:00:03 UTC

=== debian/changelog ===
r-cran-knitr (1.21+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 May 2019 22:05:39 +0200

r-cran-knitr (1.20+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 15:22:31 +0200

r-cran-knitr (1.17-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2018 14:45:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,10 @@
                r-cran-highr,
                r-cran-markdown,
                r-cran-stringr,
-               r-cran-yaml,
-# NOTE: nodejs is not used at build-time, but is listed in Build-Depends in order
-# to prevent the creation of uninstallable binary package (on arches where nodejs
-# is not available).
+               r-cran-yaml (>= 2.1.19),
+               r-cran-xfun,
                nodejs
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-tikzdevice, r-cran-codetools, r-cran-rmarkdown, r-cran-tinytex, texlive, texlive-latex-extra
Restrictions: allow-stderr

## r-cran-knitr 1.23+dfsg

=== debian/changelog ===
r-cran-knitr (1.23+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Delete html files including minimized JS also in examples

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 08:39:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-evaluate (>= 0.10),
@@ -14,7 +14,7 @@
                r-cran-yaml (>= 2.1.19),
                r-cran-xfun,
                nodejs
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr

## r-cran-knitr 1.28+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.21
+Version: 1.28
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Adam", "Vogt", role = "ctb"),
@@ -11,6 +11,7 @@
     person("Aron", "Atkins", role = "ctb"),
     person("Aaron", "Wolen", role = "ctb"),
     person("Ashley", "Manton", role = "ctb"),
+    person("Atsushi", "Yasumoto", role = "ctb", comment = c(ORCID = "0000-0002-8335-495X")),
     person("Ben", "Baumer", role = "ctb"),
     person("Brian", "Diggs", role = "ctb"),
     person("Brian", "Zhang", role = "ctb"),
@@ -18,10 +19,10 @@
     person("Christophe", "Dervieux", role = "ctb"),
     person("David", "Hugh-Jones", role = "ctb"),
     person("David", "Robinson", role = "ctb"),
-    person("Donald", "Arseneau", role = c("ctb", "cph"), comment = "the framed package at inst/misc/framed.sty"),
     person("Doug", "Hemken", role = "ctb"),
     person("Duncan", "Murdoch", role = "ctb"),
     person("Elio", "Campitelli", role = "ctb"),
+    person("Emily", "Riederer", role = "ctb"),
     person("Fabian", "Hirschmann", role = "ctb"),
     person("Fitch", "Simeon", role = "ctb"),
     person("Forest", "Fang", role = "ctb"),
@@ -63,13 +64,16 @@
     person("Kohske", "Takahashi", role = "ctb"),
     person("Lorenz", "Walthert", role = "ctb"),
     person("Lucas", "Gallindo", role = "ctb"),
+    person("Marius", "Hofert", role = "ctb"),
     person("Martin", "Modrák", role = "ctb"),
     person("Michael", "Chirico", role = "ctb"),
     person("Michael", "Friendly", role = "ctb"),
     person("Michal", "Bojanowski", role = "ctb"),
     person("Michel", "Kuhlmann", role = "ctb"),
+    person("Miller", "Patrick", role = "ctb"),
     person("Nacho", "Caballero", role = "ctb"),
     person("Nick", "Salkowski", role = "ctb"),
+    person("Niels Richard", "Hansen", role = "ctb"),
     person("Noam", "Ross", role = "ctb"),
     person("Obada", "Mahdi", role = "ctb"),
     person("Qiang", "Li", role = "ctb"),
@@ -95,19 +99,18 @@
     person("Wush", "Wu", role = "ctb"),
     person("Zachary", "Foster", role = "ctb")
     )
-Maintainer: Yihui Xie <xie@yihui.name>
 Description: Provides a general-purpose tool for dynamic report generation in R
     using Literate Programming techniques.
-Depends: R (>= 3.1.0)
+Depends: R (>= 3.2.3)
 Imports: evaluate (>= 0.10), highr, markdown, stringr (>= 0.6), yaml
         (>= 2.1.19), methods, xfun, tools
 Suggests: formatR, testit, digest, rgl (>= 0.95.1201), codetools,
         rmarkdown, htmlwidgets (>= 0.7), webshot, tikzDevice (>= 0.10),
-        tinytex, reticulate (>= 1.4), JuliaCall (>= 0.11.1), png, jpeg,
-        gifski, xml2 (>= 1.2.0), httr, DBI (>= 0.4-1), showtext,
-        tibble, styler
+        tinytex, reticulate (>= 1.4), JuliaCall (>= 0.11.1), magick,
+        png, jpeg, gifski, xml2 (>= 1.2.0), httr, DBI (>= 0.4-1),
+        showtext, tibble, sass, styler (>= 1.2.0)
 License: GPL
-URL: https://yihui.name/knitr/
+URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
 Encoding: UTF-8
 VignetteBuilder: knitr
@@ -124,9 +127,9 @@
         'template.R' 'utils-base64.R' 'utils-conversion.R'
         'utils-rd2html.R' 'utils-sweave.R' 'utils-upload.R'
         'utils-vignettes.R' 'zzz.R'
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2018-12-10 22:10:14 UTC; yihui
+Packaged: 2020-02-06 15:31:44 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Adam Vogt [ctb],
   Alastair Andrew [ctb],
@@ -136,6 +139,7 @@
   Aron Atkins [ctb],
   Aaron Wolen [ctb],
   Ashley Manton [ctb],
+  Atsushi Yasumoto [ctb] (<https://orcid.org/0000-0002-8335-495X>),
   Ben Baumer [ctb],
   Brian Diggs [ctb],
   Brian Zhang [ctb],
@@ -143,10 +147,10 @@
   Christophe Dervieux [ctb],
   David Hugh-Jones [ctb],
   David Robinson [ctb],
-  Donald Arseneau [ctb, cph] (the framed package at inst/misc/framed.sty),
   Doug Hemken [ctb],
   Duncan Murdoch [ctb],
   Elio Campitelli [ctb],
+  Emily Riederer [ctb],
   Fabian Hirschmann [ctb],
   Fitch Simeon [ctb],
   Forest Fang [ctb],
@@ -189,13 +193,16 @@
   Kohske Takahashi [ctb],
   Lorenz Walthert [ctb],
   Lucas Gallindo [ctb],
+  Marius Hofert [ctb],
   Martin Modrák [ctb],
   Michael Chirico [ctb],
   Michael Friendly [ctb],
   Michal Bojanowski [ctb],
   Michel Kuhlmann [ctb],
+  Miller Patrick [ctb],
   Nacho Caballero [ctb],
   Nick Salkowski [ctb],
+  Niels Richard Hansen [ctb],
   Noam Ross [ctb],
   Obada Mahdi [ctb],
   Qiang Li [ctb],
@@ -220,5 +227,6 @@
   Weicheng Zhu [ctb],
   Wush Wu [ctb],
   Zachary Foster [ctb]
+Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2018-12-10 23:00:03 UTC
+Date/Publication: 2020-02-06 17:10:03 UTC

=== debian/changelog ===
r-cran-knitr (1.28+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Feb 2020 14:07:00 +0100

r-cran-knitr (1.27+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jan 2020 10:41:53 +0100

r-cran-knitr (1.26+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2019 08:43:08 +0100

r-cran-knitr (1.25+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 20 Sep 2019 09:20:13 +0200

r-cran-knitr (1.24+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2019 11:08:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-evaluate (>= 0.10),
@@ -14,7 +14,7 @@
                r-cran-yaml (>= 2.1.19),
                r-cran-xfun,
                nodejs
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr

## r-cran-knitr 1.29+dfsg

=== debian/changelog ===
r-cran-knitr (1.29+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add r-cran-tibble to test-deps

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Jul 2020 08:37:59 +0200

r-cran-knitr (1.29+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 30 Jun 2020 11:08:54 +0200

r-cran-knitr (1.28+dfsg-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-evaluate (>= 0.10),
@@ -12,12 +13,13 @@
                r-cran-markdown,
                r-cran-stringr,
                r-cran-yaml (>= 2.1.19),
-               r-cran-xfun,
+               r-cran-xfun (>= 0.15),
                nodejs
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr
+Rules-Requires-Root: no
 
 Package: r-cran-knitr
 Architecture: all

## r-cran-knitr 1.31+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: knitr
 Type: Package
 Title: A General-Purpose Package for Dynamic Report Generation in R
-Version: 1.28
+Version: 1.31
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Adam", "Vogt", role = "ctb"),
@@ -17,11 +17,13 @@
     person("Brian", "Zhang", role = "ctb"),
     person("Cassio", "Pereira", role = "ctb"),
     person("Christophe", "Dervieux", role = "ctb"),
+    person("David", "Hall", role = "ctb"),
     person("David", "Hugh-Jones", role = "ctb"),
     person("David", "Robinson", role = "ctb"),
     person("Doug", "Hemken", role = "ctb"),
     person("Duncan", "Murdoch", role = "ctb"),
     person("Elio", "Campitelli", role = "ctb"),
+    person("Ellis", "Hughes", role = "ctb"),
     person("Emily", "Riederer", role = "ctb"),
     person("Fabian", "Hirschmann", role = "ctb"),
     person("Fitch", "Simeon", role = "ctb"),
@@ -102,13 +104,13 @@
 Description: Provides a general-purpose tool for dynamic report generation in R
     using Literate Programming techniques.
 Depends: R (>= 3.2.3)
-Imports: evaluate (>= 0.10), highr, markdown, stringr (>= 0.6), yaml
-        (>= 2.1.19), methods, xfun, tools
+Imports: evaluate (>= 0.10), highr, methods, markdown, stringr (>=
+        0.6), yaml (>= 2.1.19), xfun (>= 0.19), tools
 Suggests: formatR, testit, digest, rgl (>= 0.95.1201), codetools,
         rmarkdown, htmlwidgets (>= 0.7), webshot, tikzDevice (>= 0.10),
         tinytex, reticulate (>= 1.4), JuliaCall (>= 0.11.1), magick,
         png, jpeg, gifski, xml2 (>= 1.2.0), httr, DBI (>= 0.4-1),
-        showtext, tibble, sass, styler (>= 1.2.0)
+        showtext, tibble, sass, ragg, styler (>= 1.2.0)
 License: GPL
 URL: https://yihui.org/knitr/
 BugReports: https://github.com/yihui/knitr/issues
@@ -124,12 +126,11 @@
         'hooks-extra.R' 'hooks-latex.R' 'hooks-md.R' 'hooks-rst.R'
         'hooks-textile.R' 'hooks.R' 'output.R' 'package.R' 'pandoc.R'
         'params.R' 'parser.R' 'pattern.R' 'rocco.R' 'spin.R' 'table.R'
-        'template.R' 'utils-base64.R' 'utils-conversion.R'
-        'utils-rd2html.R' 'utils-sweave.R' 'utils-upload.R'
-        'utils-vignettes.R' 'zzz.R'
-RoxygenNote: 7.0.2
+        'template.R' 'utils-conversion.R' 'utils-rd2html.R'
+        'utils-sweave.R' 'utils-upload.R' 'utils-vignettes.R' 'zzz.R'
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-02-06 15:31:44 UTC; yihui
+Packaged: 2021-01-27 13:36:01 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Adam Vogt [ctb],
   Alastair Andrew [ctb],
@@ -145,11 +146,13 @@
   Brian Zhang [ctb],
   Cassio Pereira [ctb],
   Christophe Dervieux [ctb],
+  David Hall [ctb],
   David Hugh-Jones [ctb],
   David Robinson [ctb],
   Doug Hemken [ctb],
   Duncan Murdoch [ctb],
   Elio Campitelli [ctb],
+  Ellis Hughes [ctb],
   Emily Riederer [ctb],
   Fabian Hirschmann [ctb],
   Fitch Simeon [ctb],
@@ -229,4 +232,4 @@
   Zachary Foster [ctb]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2020-02-06 17:10:03 UTC
+Date/Publication: 2021-01-27 15:10:05 UTC

=== debian/changelog ===
r-cran-knitr (1.31+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 31 Jan 2021 15:35:13 +0100

r-cran-knitr (1.30+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 11:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                r-cran-markdown,
                r-cran-stringr,
                r-cran-yaml (>= 2.1.19),
-               r-cran-xfun (>= 0.15),
+               r-cran-xfun (>= 0.19),
                nodejs
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knitr.git
 Homepage: https://cran.r-project.org/package=knitr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-tikzdevice, r-cran-codetools, r-cran-rmarkdown, r-cran-tinytex, texlive, texlive-latex-extra, r-cran-tibble
Restrictions: allow-stderr

## r-cran-knitr 1.33+dfsg

=== debian/changelog ===
r-cran-knitr (1.33+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #991395
  * Move node-highlight.js from Depends to Recommends
    Closes: #961992

 -- Andreas Tille <tille@debian.org>  Fri, 13 Aug 2021 13:24:16 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-markdown,
                r-cran-stringr,
                r-cran-yaml (>= 2.1.19),
-               r-cran-xfun (>= 0.19),
+               r-cran-xfun (>= 0.21),
                nodejs
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knitr
@@ -27,12 +27,12 @@
          ${misc:Depends},
          libjs-mathjax,
          libjs-highlight.js,
-         node-highlight.js,
          libjs-jquery,
          libjs-bootstrap,
          libjs-jquery-datatables,
          libjs-normalize.css
-Recommends: ${R:Recommends}
+Recommends: ${R:Recommends},
+            node-highlight.js
 Suggests: ${R:Suggests}
 Description: GNU R package for dynamic report generation using Literate Programming
  The R package knitr is a general-purpose literate programming engine, with
